## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * resolve circular dependency with object and addr2line
%bcond_with check
%global debug_package %{nil}

%global crate gimli

Name:           rust-gimli
Version:        0.27.2
Release:        %autorelease
Summary:        Library for reading and writing the DWARF debugging format

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gimli
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude test fixtures from installed files
Patch:          gimli-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A library for reading and writing the DWARF debugging format.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+endian-reader-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+endian-reader-devel %{_description}

This package contains library source intended for building other packages which
use the "endian-reader" feature of the "%{crate}" crate.

%files       -n %{name}+endian-reader-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fallible-iterator-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fallible-iterator-devel %{_description}

This package contains library source intended for building other packages which
use the "fallible-iterator" feature of the "%{crate}" crate.

%files       -n %{name}+fallible-iterator-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+indexmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-devel %{_description}

This package contains library source intended for building other packages which
use the "indexmap" feature of the "%{crate}" crate.

%files       -n %{name}+indexmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+read-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+read-devel %{_description}

This package contains library source intended for building other packages which
use the "read" feature of the "%{crate}" crate.

%files       -n %{name}+read-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+read-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+read-core-devel %{_description}

This package contains library source intended for building other packages which
use the "read-core" feature of the "%{crate}" crate.

%files       -n %{name}+read-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stable_deref_trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stable_deref_trait-devel %{_description}

This package contains library source intended for building other packages which
use the "stable_deref_trait" feature of the "%{crate}" crate.

%files       -n %{name}+stable_deref_trait-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+write-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+write-devel %{_description}

This package contains library source intended for building other packages which
use the "write" feature of the "%{crate}" crate.

%files       -n %{name}+write-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# remove stray executable bit
chmod -x tests/parse_self.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.27.2-1
- Update to version 0.27.2; Fixes RHBZ#2147544

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.26.2-1
- Update to version 0.26.2; Fixes RHBZ#2107873

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Feb 03 2022 Fabio Valentini <decathorpe@gmail.com> - 0.26.1-1
- Update to version 0.26.1; Fixes RHBZ#2016809

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-1
- Update to version 0.25.0; Fixes RHBZ#1985939

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat May 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.24.0-1
- Update to version 0.24.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov  7 2020 Fabio Valentini <decathorpe@gmail.com> - 0.23.0-1
- Update to version 0.23.0.
- Fixes RHBZ#1891699

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.22.0-1
- Update to 0.22.0

* Tue May 12 2020 Josh Stone <jistone@redhat.com> - 0.21.0-1
- Update to 0.21.0

* Wed Feb 19 2020 Josh Stone <jistone@redhat.com> - 0.20.0-1
- Update to 0.20.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 20 20:55:53 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.19.0-2
- Bump arrayvec to 0.5

* Mon Dec 16 2019 Josh Stone <jistone@redhat.com> - 0.19.0-1
- Update to 0.19.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 07 15:36:43 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.18.0-1
- Update to 0.18.0

* Sat Apr 20 15:24:33 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.17.0-1
- Update to 0.17.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16.1-3
- Adapt to new packaging

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 0.16.1-1
- Update to 0.16.1

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Rebuild for rust-packaging v5

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Initial package

